source("../../../../other/asmisc.r")

tps <- read.table("all1.csv", h=T, sep=",")
ukor <- read.delim("clipboard", h=F)

re <- recode(tps$X, ukor$V1, ukor$V2)

tps.p <- princomp(tps[,-1])
tps.pca <- predict(tps.p)

plot(tps.pca[, c(1,2)], xlab="PC1", ylab="PC2", type="n", main="")
text(tps.pca[, c(1,2)], labels=re, cex=.8, col=re+1)

plot(tps.pca[, c(1,3)], xlab="PC1", ylab="PC3", type="n", main="")
text(tps.pca[, c(1,3)], labels=re, cex=.8, col=re+1)

mo <- read.table("../../../data/2004/big_alnus/big-alnl.dat", h=T, sep=";")
mo <- mo[mo$EXIST>0,]

mo.p <- princomp(mo[,9:15], scale=T)
mo.pca <- predict(mo.p)

plot(mo.pca[, c(1,2)], xlab="PC1", ylab="PC2", type="n", main="")
text(mo.pca[, c(1,2)], labels=re, cex=.8, col=re+1)

plot(mo.pca[, c(1,3)], xlab="PC1", ylab="PC3", type="n", main="")
text(mo.pca[, c(1,3)], labels=re, cex=.8, col=re+1)

t.test(mo$LENGTH ~ factor(re))
t.test(mo$WIDTH ~ factor(re))
t.test(mo$N.ZHILOK ~ factor(re))

mo.m <- manova(as.matrix(mo[,9:15]) ~ factor(re))
summary(mo.m)
summary(mo.m, test="Wilks")

t.test(tps$X9Y ~ factor(re))
t.test(tps$X8X ~ factor(re))

write.table(re, file="re", quote=F, sep=" ", row.names=F)
#  --- tpsRegr!!!
