# Изменить quartz() на x11(), если используется Windows!
recode <- function(var, from, to){
x <- as.vector(var)
x.tmp <- x
for (i in 1:length(from)){x <- replace(x, x.tmp == from[i], to[i])}
if(is.factor(var)) factor(x) else x}

big <- read.table("../../../data/2004/big_alnus/big-alnl.dat", sep=";", h=T)
big.id <- paste(big$P.1, big$P.2, big$P.3, big$P.4, sep="+")
big.dif <- tapply(big$COORD, big.id, function(x) abs(mean(diff(x))))

tps <- read.table("all1.csv", h=T, sep=",")
tps.p <- princomp(tps[,-1])
tps.pca <- predict(tps.p)

# "10" is OK (checked from 0 to 15 via mo.pca)
big.ukor.v <- big.dif < 10
big.ukor.l <- recode(big.id, names(big.ukor.v), big.ukor.v)

re <- recode(tps$X, big$PIC, big.ukor.l)
re <- as.logical(re)

#====================

quartz()
plot(tps.pca[, c(1,2)], xlab="PC1", ylab="PC2", type="n", main="TPS vs. ukor")
text(tps.pca[, c(1,2)], labels=1*re, cex=.8, col=re+1)

quartz()
plot(tps.pca[, c(1,3)], xlab="PC1", ylab="PC3", type="n", main="TPS vs. ukor")
text(tps.pca[, c(1,3)], labels=1*re, cex=.8, col=re+1)

# There is something
t.test(tps$X9Y ~ factor(re))
t.test(tps$X8X ~ factor(re))

#====================

mo <- big[big$EXIST>0,]

mo.p <- princomp(mo[,9:13], scale=T)
mo.pca <- predict(mo.p)

quartz()
plot(mo.pca[, c(1,2)], xlab="PC1", ylab="PC2", type="n", main="Morph vs. ukor")
text(mo.pca[, c(1,2)], labels=re*1, cex=.8, col=re+1)

quartz()
plot(mo.pca[, c(1,3)], xlab="PC1", ylab="PC3", type="n", main="Morph vs. ukor")
text(mo.pca[, c(1,3)], labels=re*1, cex=.8, col=re+1)

t.test(mo$LENGTH ~ factor(re))
t.test(mo$WIDTH ~ factor(re))
t.test(mo$N.ZHILOK ~ factor(re))

mo.m <- manova(as.matrix(mo[,9:13]) ~ factor(re))
summary(mo.m)
summary(mo.m, test="Wilks")

#====================

# Как-нибудь выяснить, какие побеги затенены (укороченные побеги на внутренних ветвях?)

vet <- read.table("../../../data/2004/big_alnus/big-alnv.dat", sep=";", h=T)

vet.id <- paste(vet$P.1, vet$P.2, sep="+")

vet.glub <- vet.id[(vet$NACH.OSN < 1/3 * max(vet$NACH.OSN)) & (vet$KONEZ.STV < 1/3 * max(vet$KONEZ.STV))]

big.id.v <- paste(big$P.1, big$P.2, sep="+")

quartz()
plot(tps.pca[, c(1,2)], xlab="PC1", ylab="PC2", type="n", main="TPS vs. glub")
text(tps.pca[, c(1,2)], labels=1*re.2, cex=.8, col=re.2+1)

quartz()
plot(mo.pca[, c(1,2)], xlab="PC1", ylab="PC2", type="n", main="Morph vs. glub")
text(mo.pca[, c(1,2)], labels=re.2*1, cex=.8, col=re.2+1)

# No effect :-(

#====================

# Добавить внешние маркеры (из Flora Nordica) в PCA и посмотреть как это ложится на общую картину в TPS и морфологию; TPS при этом надо сделать новый

